Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class XMLSupport

    java.lang.Object
      org.apache.batik.dom.util.XMLSupport

All Implemented Interfaces:
  XMLConstants

    public final class XMLSupport

extends Object
implements XMLConstants

This class provides support for XML features.

Field Summary

Fields inherited from interface org.apache.batik.util.XMLConstants
`XLINK_HREF_ATTRIBUTE, XLINK_HREF_QNAME, XLINK_NAMESPACE_URI, XLINK_PREFIX, XML_BASE_ATTRIBUTE, XML_BASE_QNAME, XML_CDATA_END, XML_CHAR_AMP, XML_CHAR_APOS, XML_CHAR_GT, XML_CHAR_LT, XML_CHAR_QUOT, XML_CHAR_REF_PREFIX, XML_CHAR_REF_SUFFIX, XML_CLOSE_TAG_END, XML_CLOSE_TAG_START, XML_DEFAULT_VALUE, XML_DOUBLE_DASH, XML_DOUBLE_QUOTE, XML_ENTITY_AMP, XML_ENTITY_APOS, XML_ENTITY_GT, XML_ENTITY_LT, XML_ENTITY_QUOT, XML_EQUAL_QUOT, XML_EQUAL_SIGN, XML_EVENTS_EVENT_ATTRIBUTE, XML_EVENTS_NAMESPACE_URI, XML_ID_ATTRIBUTE, XML_ID_QNAME, XML_LANG_ATTRIBUTE, XML_LANG_QNAME, XML_NAMESPACE_URI, XML_OPEN_TAG_END_CHILDREN, XML_OPEN_TAG_END_NO_CHILDREN, XML_OPEN_TAG_START, XML_PREFIX, XML_PRESERVE_VALUE, XML_PROCESSING_INSTRUCTION_END, XML_SPACE, XML_SPACE_ATTRIBUTE, XML_SPACE_QNAME, XML_TAB, XML_VERSION_10, XML_VERSION_11, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Method Summary
`static String` | `defaultXMLSpace(String data)` Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'default' value.
`static String` | `getXMLLang(Element elt)` Returns the xml:lang attribute value of the given element.
`static String` | `getXMLSpace(Element elt)` Returns the xml:space attribute value of the given element.
`static String` | `preserveXMLSpace(String data)` Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'preserve' value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXMLLang

    public static String getXMLLang(Element elt)

  Returns the xml:lang attribute value of the given element.

### getXMLSpace

    public static String getXMLSpace(Element elt)

  Returns the xml:space attribute value of the given element.

### defaultXMLSpace

    public static String defaultXMLSpace(String data)

  Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'default' value.

### preserveXMLSpace

    public static String preserveXMLSpace(String data)

  Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'preserve' value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.